mysqli::real_escape_string
mysqli::reap_async_query
mysqli
PHP Manual

# mysqli::real_query

# mysqli_real_query

Execute an SQL query

### Description

Object oriented style

bool mysqli::real_query ( string `$query` )

Procedural style

bool mysqli_real_query ( mysqli `$link` , string `$query` )

Executes a single query against the database whose result can then be retrieved or stored using the mysqli_store_result or mysqli_use_result functions.

In order to determine if a given query should return a result set or not, see mysqli_field_count.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect or mysqli_init

`query`

  The query, as a string.

  Data inside the query should be properly escaped.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- mysqli_query
- mysqli_store_result
- mysqli_use_result